This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 496177 - gvfsd-burn leaves /tmp/virtual-USER.XXXXX clutter
gvfsd-burn leaves /tmp/virtual-USER.XXXXX clutter
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gvfs (Show other bugs)
16
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: F11Target
  Show dependency treegraph
 
Reported: 2009-04-16 21:02 EDT by Tom London
Modified: 2015-03-03 17:40 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 21:45:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tom London 2009-04-16 21:02:20 EDT
Description of problem:
I've noticed a growing number of '/tmp/virtual-USER.XXXXX' directories.

'strings /usr/libexec/gvfsd-burn | grep virtual-' seems to point the finger at gvfsd-burn.  [I have 17 of then on a 4 day old freshly installed system.]

If this is the case, shouldn't gvfsd-burn clean this up on exit?

Version-Release number of selected component (if applicable):
gvfs-obexftp-1.2.2-3.fc11.x86_64
gvfs-fuse-1.2.2-3.fc11.x86_64
gvfs-smb-1.2.2-3.fc11.x86_64
gvfs-gphoto2-1.2.2-3.fc11.x86_64
gvfs-1.2.2-3.fc11.x86_64
gvfs-archive-1.2.2-3.fc11.x86_64


How reproducible:
A new directory every login, it appears.....

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tom London 2009-04-17 13:45:45 EDT
Or should /etc/rc.d/rc.sysinit clean them out on boot?

--- /etc/rc.d/rc.sysinit	2009-04-07 08:58:41.000000000 -0700
+++ ./rc.sysinit	2009-04-17 10:44:05.057453505 -0700
@@ -772,7 +772,7 @@
 rm -f /tmp/.X*-lock /tmp/.lock.* /tmp/.gdm_socket /tmp/.s.PGSQL.*
 rm -rf /tmp/.X*-unix /tmp/.ICE-unix /tmp/.font-unix /tmp/hsperfdata_* \
        /tmp/kde-* /tmp/ksocket-* /tmp/mc-* /tmp/mcop-* /tmp/orbit-*  \
-       /tmp/scrollkeeper-*  /tmp/ssh-* \
+       /tmp/scrollkeeper-*  /tmp/ssh-*  /tmp/virtual-* \
        /dev/.in_sysinit
 
 # Make ICE directory
Comment 2 Matthias Clasen 2009-04-17 18:26:08 EDT
It probably should, but thats no reason for gvfs not to clean up after itself.
Comment 3 Alexander Larsson 2009-04-20 06:25:23 EDT
Yes, we should try to clean up on exit, but there are various cases where exit is unclean so I agree that rc.sysinit should clean them out on boot too.
Comment 4 Matthias Clasen 2009-04-21 01:42:24 EDT
seahorse-agent (in the seahorse-plugins package) has some code to deal with cleaning up on SIGTERM or SIGINT.
Comment 5 Matthias Clasen 2009-04-21 10:49:49 EDT
Actually, what is probably needed here is either an xioerrorhandler or a handling the dbus disconnected signal.
Comment 6 Bug Zapper 2009-06-09 09:58:23 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Tom London 2009-07-24 14:42:14 EDT
I'm changing this to Rawhide, since I'm still seeing this:

[root@tlondon ~]# ls -d /tmp/virtual* | wc
     95      95    2280
[root@tlondon ~]# 

And these are all from 2 July -> 24 July.
Comment 8 Tom London 2009-07-24 14:46:09 EDT
Forgot to add versions:

gvfs-1.3.2-1.fc12.x86_64
gvfs-gphoto2-1.3.2-1.fc12.x86_64
gvfs-debuginfo-1.3.2-1.fc12.x86_64
gvfs-archive-1.3.2-1.fc12.x86_64
gvfs-fuse-1.3.2-1.fc12.x86_64
gvfs-obexftp-1.3.2-1.fc12.x86_64
gvfs-smb-1.3.2-1.fc12.x86_64
Comment 9 Tom London 2009-07-24 14:51:09 EDT
Would it make sense to create this kind of file/directory in a tmpfs?  Perhaps something like "/ephemeral" or some such?

Cleanup issues would go away......

[I suppose mounting /tmp as a tmpfs would do the same.]
Comment 10 Matthias Clasen 2009-07-27 23:35:51 EDT
https://fedoraproject.org/wiki/Features/Polyinstantiated_Temporary_Directories is a feature page about this.
Comment 11 Tom London 2009-07-28 09:44:27 EDT
(In reply to comment #10)
> https://fedoraproject.org/wiki/Features/Polyinstantiated_Temporary_Directories
> is a feature page about this.  

Neat...  Will this "cleanup the clutter" on logout/close/unmount?
Comment 12 Bug Zapper 2009-11-16 04:55:42 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Tom London 2010-01-05 14:37:46 EST
This continues with rawhide.......

[tbl@tlondon ~]$ ls -d /tmp/virt*
/tmp/virtual-tbl.2sUsZa  /tmp/virtual-tbl.HxmKvq  /tmp/virtual-tbl.V9eXKG
/tmp/virtual-tbl.4CmPwf  /tmp/virtual-tbl.IxZemr  /tmp/virtual-tbl.WJ2CeI
/tmp/virtual-tbl.62QUd1  /tmp/virtual-tbl.KIBkFr  /tmp/virtual-tbl.WSo6xq
/tmp/virtual-tbl.6VdvRW  /tmp/virtual-tbl.KJRoue  /tmp/virtual-tbl.xAam1i
/tmp/virtual-tbl.EFTxDo  /tmp/virtual-tbl.qt3rKl  /tmp/virtual-tbl.XlhjRk
/tmp/virtual-tbl.FJjz0g  /tmp/virtual-tbl.Su6vSA
/tmp/virtual-tbl.GRyG10  /tmp/virtual-tbl.T0CThE
[tbl@tlondon ~]$
Comment 14 Bug Zapper 2010-03-15 08:31:27 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Alexander Hunt 2010-10-26 14:20:37 EDT
Hi all, I'm running FC14 Beta, with all testing updates installed. I just thought I'd mention I am also having the issue of lots of /tmp/virtual-(username).****** files left behind. I have had to dirty shut-down the machine a few times due to application hangs. Anyway I just thought I'd mention it, I am going to get cron to clean them out on reboot for now.
br,
alex
Comment 16 Steve Tyler 2010-10-26 15:38:55 EDT
(In reply to comment #15)
> Hi all, I'm running FC14 Beta, with all testing updates installed. I just
> thought I'd mention I am also having the issue of lots of
> /tmp/virtual-(username).****** files left behind. I have had to dirty shut-down
> the machine a few times due to application hangs. Anyway I just thought I'd
> mention it, I am going to get cron to clean them out on reboot for now.
> br,
> alex

Unfortunately, the /tmp/virtual-* directories remain even with clean shutdowns/reboots.

My workaround is to remove them in /etc/rc.local. There will always be one in /tmp, because rc.local runs before the gnome session starts. I don't know if "--ignore-fail-on-non-empty" is really needed -- the virtual-* directories have always been empty when I removed them manually.

$ cat /etc/rc.local 
#!/bin/sh
#
# This script will be executed *after* all the other init scripts.
# You can put your own initialization stuff in here if you don't
# want to do the full Sys V style init stuff.

touch /var/lock/subsys/local
rmdir --ignore-fail-on-non-empty /tmp/virtual-*
Comment 17 Bug Zapper 2011-06-02 14:09:06 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Bug Zapper 2011-06-27 10:10:05 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 19 Artur Zaprzała 2011-07-10 05:41:50 EDT
Fedora 15 also has this bug.
Comment 20 Miloslav Trmač 2012-04-03 12:12:18 EDT
See also bug #468670 .  It's not just that these directories are being created and not removed, it's also that something (it's not known what) periodically touches the directories, preventing their removal.
Comment 21 Fedora End Of Life 2013-02-13 21:45:47 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.